package com.kingdee.eas.custom.dormitorysystem.waterelectricity;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractWaterElectricitySpecialInfo extends com.kingdee.eas.hr.base.HRBillBaseInfo implements Serializable 
{
    public AbstractWaterElectricitySpecialInfo()
    {
        this("id");
    }
    protected AbstractWaterElectricitySpecialInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 特殊水电费明细 's 申请人 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getApplier()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("applier");
    }
    public void setApplier(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("applier", item);
    }
    /**
     * Object:特殊水电费明细's 申请日期property 
     */
    public java.util.Date getApplyDate()
    {
        return getDate("applyDate");
    }
    public void setApplyDate(java.util.Date item)
    {
        setDate("applyDate", item);
    }
    /**
     * Object:特殊水电费明细's 辅助状态property 
     */
    public int getInnerState()
    {
        return getInt("innerState");
    }
    public void setInnerState(int item)
    {
        setInt("innerState", item);
    }
    /**
     * Object:特殊水电费明细's 年月property 
     */
    public String getYearMonth()
    {
        return getString("yearMonth");
    }
    public void setYearMonth(String item)
    {
        setString("yearMonth", item);
    }
    /**
     * Object: 特殊水电费明细 's 人员 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getPerson()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("person");
    }
    public void setPerson(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("person", item);
    }
    /**
     * Object:特殊水电费明细's 人员名称property 
     */
    public String getEmpName()
    {
        return getString("empName");
    }
    public void setEmpName(String item)
    {
        setString("empName", item);
    }
    /**
     * Object:特殊水电费明细's 人员编码property 
     */
    public String getEmpNumber()
    {
        return getString("empNumber");
    }
    public void setEmpNumber(String item)
    {
        setString("empNumber", item);
    }
    /**
     * Object:特殊水电费明细's 任职状态property 
     */
    public String getPositionStatus()
    {
        return getString("positionStatus");
    }
    public void setPositionStatus(String item)
    {
        setString("positionStatus", item);
    }
    /**
     * Object:特殊水电费明细's 离宿日期property 
     */
    public java.util.Date getLeaveDate()
    {
        return getDate("leaveDate");
    }
    public void setLeaveDate(java.util.Date item)
    {
        setDate("leaveDate", item);
    }
    /**
     * Object: 特殊水电费明细 's 宿舍 property 
     */
    public com.kingdee.eas.custom.dormitorysystem.dormitory.DormitoryInfo getDormitory()
    {
        return (com.kingdee.eas.custom.dormitorysystem.dormitory.DormitoryInfo)get("dormitory");
    }
    public void setDormitory(com.kingdee.eas.custom.dormitorysystem.dormitory.DormitoryInfo item)
    {
        put("dormitory", item);
    }
    /**
     * Object:特殊水电费明细's 宿舍用水总费用property 
     */
    public java.math.BigDecimal getWaterTotalCost()
    {
        return getBigDecimal("waterTotalCost");
    }
    public void setWaterTotalCost(java.math.BigDecimal item)
    {
        setBigDecimal("waterTotalCost", item);
    }
    /**
     * Object:特殊水电费明细's 宿舍用电总费用property 
     */
    public java.math.BigDecimal getElectricityTotalCost()
    {
        return getBigDecimal("electricityTotalCost");
    }
    public void setElectricityTotalCost(java.math.BigDecimal item)
    {
        setBigDecimal("electricityTotalCost", item);
    }
    /**
     * Object:特殊水电费明细's 特殊离职人员用水费用property 
     */
    public java.math.BigDecimal getMonthWaterAmount()
    {
        return getBigDecimal("monthWaterAmount");
    }
    public void setMonthWaterAmount(java.math.BigDecimal item)
    {
        setBigDecimal("monthWaterAmount", item);
    }
    /**
     * Object:特殊水电费明细's 特殊离职人员用电费用property 
     */
    public java.math.BigDecimal getMonthElectricityAmount()
    {
        return getBigDecimal("monthElectricityAmount");
    }
    public void setMonthElectricityAmount(java.math.BigDecimal item)
    {
        setBigDecimal("monthElectricityAmount", item);
    }
    /**
     * Object:特殊水电费明细's 当月入住天数property 
     */
    public java.math.BigDecimal getMonthDays()
    {
        return getBigDecimal("monthDays");
    }
    public void setMonthDays(java.math.BigDecimal item)
    {
        setBigDecimal("monthDays", item);
    }
    /**
     * Object:特殊水电费明细's 数据状态property 
     */
    public com.kingdee.eas.custom.dormitorysystem.waterelectricity.WaterElectricityStutas getStutas()
    {
        return com.kingdee.eas.custom.dormitorysystem.waterelectricity.WaterElectricityStutas.getEnum(getString("stutas"));
    }
    public void setStutas(com.kingdee.eas.custom.dormitorysystem.waterelectricity.WaterElectricityStutas item)
    {
		if (item != null) {
        setString("stutas", item.getValue());
		}
    }
    /**
     * Object:特殊水电费明细's 抄表property 
     */
    public String getMeterReading()
    {
        return getString("meterReading");
    }
    public void setMeterReading(String item)
    {
        setString("meterReading", item);
    }
    /**
     * Object:特殊水电费明细's 水电费标准property 
     */
    public String getHydropowerStandards()
    {
        return getString("hydropowerStandards");
    }
    public void setHydropowerStandards(String item)
    {
        setString("hydropowerStandards", item);
    }
    /**
     * Object: 特殊水电费明细 's 职位 property 
     */
    public com.kingdee.eas.basedata.org.PositionInfo getPosition()
    {
        return (com.kingdee.eas.basedata.org.PositionInfo)get("position");
    }
    public void setPosition(com.kingdee.eas.basedata.org.PositionInfo item)
    {
        put("position", item);
    }
    /**
     * Object:特殊水电费明细's 开始日期property 
     */
    public java.util.Date getStartDate()
    {
        return getDate("startDate");
    }
    public void setStartDate(java.util.Date item)
    {
        setDate("startDate", item);
    }
    /**
     * Object:特殊水电费明细's 结束日期property 
     */
    public java.util.Date getEndDate()
    {
        return getDate("endDate");
    }
    public void setEndDate(java.util.Date item)
    {
        setDate("endDate", item);
    }
    /**
     * Object:特殊水电费明细's 特殊离职人员用水统计property 
     */
    public java.math.BigDecimal getSpecialWaterTotal()
    {
        return getBigDecimal("specialWaterTotal");
    }
    public void setSpecialWaterTotal(java.math.BigDecimal item)
    {
        setBigDecimal("specialWaterTotal", item);
    }
    /**
     * Object:特殊水电费明细's 特殊离职人员用电统计property 
     */
    public java.math.BigDecimal getSpecialElectricityTotal()
    {
        return getBigDecimal("specialElectricityTotal");
    }
    public void setSpecialElectricityTotal(java.math.BigDecimal item)
    {
        setBigDecimal("specialElectricityTotal", item);
    }
    /**
     * Object:特殊水电费明细's 当月宿舍所有人员入住天数property 
     */
    public java.math.BigDecimal getAllMonthDays()
    {
        return getBigDecimal("allMonthDays");
    }
    public void setAllMonthDays(java.math.BigDecimal item)
    {
        setBigDecimal("allMonthDays", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("DBC67230");
    }
}